View Issue Details

IDProjectCategoryView StatusLast Update
0002248PartDesignFeaturepublic2017-06-18 15:48
ReporterseverorazAssigned Tokkremitzki 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionreopened 
Product Version 
Target Version0.17Fixed in Version 
Summary0002248: Overlaps in polar patterns shouldn't always be errors
DescriptionWhen a polar pattern results in overlap of repetitions, a) if the source feature is a pad, the binary union should be applied between all repetitions and the base solid (if there is one); b) if the source feature is a pocket, first a binary union of repetitions should take place, and then a binary difference taking the resulting union and the base solid.
TagsNo tags attached.

Relationships

related to 0002072 closedkkremitzki Polar pattern of slot pocketed from curved faces fails for certain number of occurrences 
related to 0002028 closedkkremitzki Polar Pattern feature leaves faces missing 

Activities

normandc

2017-03-23 01:59

manager   ~0008689

This issue is *not* fixed.

https://forum.freecadweb.org/viewtopic.php?f=19&t=21465&p=166771#p166771

severoraz

2017-05-06 12:45

reporter   ~0008897

I have uploaded a test file to check the issue, and an image of how it shows on my end. This is using FreeCAD 0.16 but exactly the same result is obtained using FreeCAD 0.17_pre (downloaded and compiled today, 2017-05-06 T 14:43 UTC+2).

The issues reported in similar bugs 0002028 and 0002072 are however different from this one, for I tested their respective test files and they are indeed fixed.

toothed-disc.fcstd (14,212 bytes)
toothed-disc.png (13,064 bytes)
toothed-disc.png (13,064 bytes)

kkremitzki

2017-06-16 00:23

administrator   ~0009396

@severoraz can you take your 0.17 compiled version, go to Help > About FreeCAD > Copy to clipboard and paste it here? This behavior is probably dependent on OCC versions.

Here's a screenshot of your file in my 0.17 compiled today (I had to do Part Design > Migrate first).


OS: Ubuntu 17.04
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.11312 (Git)
Build type: Unknown
Branch: pdtests2
Hash: 4fd9d85770c08324000fbbc1b0381effe047dc90
Python version: 2.7.13
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0


toothed-disc-2.png (6,975 bytes)
toothed-disc-2.png (6,975 bytes)

kkremitzki

2017-06-18 15:48

administrator   ~0009448

Fixed with FreeCAD Pull Request 816

Issue History

Date Modified Username Field Change
2015-09-09 20:53 severoraz New Issue
2017-01-12 14:12 Kunda1 Relationship added related to 0002028
2017-03-22 01:06 kkremitzki Assigned To => kkremitzki
2017-03-22 01:06 kkremitzki Status new => closed
2017-03-22 01:06 kkremitzki Resolution open => fixed
2017-03-22 01:06 kkremitzki Fixed in Version => 0.17
2017-03-23 01:59 normandc Note Added: 0008689
2017-03-23 03:35 kkremitzki Status closed => feedback
2017-03-23 03:35 kkremitzki Resolution fixed => reopened
2017-03-23 03:39 kkremitzki Status feedback => confirmed
2017-05-06 12:45 severoraz File Added: toothed-disc.fcstd
2017-05-06 12:45 severoraz File Added: toothed-disc.png
2017-05-06 12:45 severoraz Note Added: 0008897
2017-05-06 19:04 Kunda1 Relationship added related to 0002072
2017-05-06 19:05 Kunda1 Fixed in Version 0.17 =>
2017-05-06 19:05 Kunda1 Target Version => 0.17
2017-06-16 00:23 kkremitzki File Added: toothed-disc-2.png
2017-06-16 00:23 kkremitzki Note Added: 0009396
2017-06-18 15:48 kkremitzki Status confirmed => closed
2017-06-18 15:48 kkremitzki Note Added: 0009448